"""
Classes to define the optimization problem for EPI MRI Distortion Correction.

Files:
- `EPIMRIDistortionCorrection`: The EPI-MRI distortion correction problem, including image models and regularization.
- `ImageModels`: Image modeling (interpolation) functionality for EPI-MRI images.
- `InitializationMethods`: Different initialization methods used in optimization.
- `LeastSquaresCorrection`: A class performing least squares distortion correction.
- `LinearOperators`: Linear operators used in optimization.
- `Preconditioners`: Preconditioning techniques.
- `Regularizers`: Different regularization techniques.
- `utils`: Various useful stand-alone methods.
"""